JUCE: OSCAddressPattern Class Reference

JUCE

Public Member Functions | List of all members
OSCAddressPattern Class Reference
juce_osc » osc

An OSC address pattern. More...

`#include <juce_OSCAddress.h>`

## Public Member Functions
| OSCAddressPattern (const String &address)
| Constructs a new OSCAddressPattern from a String. More...
| OSCAddressPattern (const char *address)
| Constructs a new OSCAddressPattern from a C string. More...
bool | operator== (const OSCAddressPattern &other) const noexcept
| Compares two OSCAddressPattern objects. More...
bool | operator!= (const OSCAddressPattern &other) const noexcept
| Compares two OSCAddressPattern objects. More...
bool | matches (const OSCAddress &address) const noexcept
| Checks if the OSCAddressPattern matches an OSC address with the wildcard rules defined by the OpenSoundControl 1.0 specification. More...
bool | containsWildcards () const noexcept
| Checks whether the OSCAddressPattern contains any of the allowed OSC address pattern wildcards: ?, *, [], {}. More...
String | toString () const noexcept
| Converts the OSCAddressPattern to a String. More...

## Detailed Description

An OSC address pattern.

Extends an OSC address by additionally allowing the following wildcards: ?, *, [], {}

OSC messages always have an OSC address pattern to specify the destination(s) of the message.

See also
  OSCMessage, OSCAddress, OSCMessageListener

## Constructor & Destructor Documentation

## ◆ OSCAddressPattern() [1/2]

OSCAddressPattern::OSCAddressPattern | ( | const String & | address | ) |

Constructs a new OSCAddressPattern from a String.

Exceptions

  OSCFormatError | if the string is not a valid OSC address pattern.

## ◆ OSCAddressPattern() [2/2]

OSCAddressPattern::OSCAddressPattern | ( | const char * | address | ) |

Constructs a new OSCAddressPattern from a C string.

Exceptions

  OSCFormatError | of the string is not a valid OSC address pattern.

## Member Function Documentation

## ◆ operator==()

bool OSCAddressPattern::operator== | ( | const OSCAddressPattern & | other | ) | const
| noexcept

Compares two OSCAddressPattern objects.

Returns
  true if they contain the same address pattern, false otherwise.

## ◆ operator!=()

bool OSCAddressPattern::operator!= | ( | const OSCAddressPattern & | other | ) | const
| noexcept

Compares two OSCAddressPattern objects.

Returns
  false if they contain the same address pattern, true otherwise.

## ◆ matches()

bool OSCAddressPattern::matches | ( | const OSCAddress & | address | ) | const
| noexcept

Checks if the OSCAddressPattern matches an OSC address with the wildcard rules defined by the OpenSoundControl 1.0 specification.

Returns
  true if the OSCAddressPattern matches the given OSC address, false otherwise.

## ◆ containsWildcards()

bool OSCAddressPattern::containsWildcards | ( |  | ) | const
| noexcept

Checks whether the OSCAddressPattern contains any of the allowed OSC address pattern wildcards: ?, *, [], {}.

Returns
  true if the OSCAddressPattern contains OSC wildcards, false otherwise.

## ◆ toString()

String OSCAddressPattern::toString | ( |  | ) | const
| noexcept

Converts the OSCAddressPattern to a String.

Note: Trailing slashes are always removed automatically.

Returns
  a String object that represents the OSC address pattern.

The documentation for this class was generated from the following file:

- juce_OSCAddress.h